Bug 427485 - Fatal error: Division by zero
Fatal error: Division by zero
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: 8Kingdoms (Show other bugs)
8
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Hans de Goede
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-03 23:12 EST by Kevin Kofler
Modified: 2008-01-06 20:25 EST (History)
0 users

See Also:
Fixed In Version: 1.1.0-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-06 20:15:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
The offending savegame (36.00 KB, text/xml)
2008-01-03 23:13 EST, Kevin Kofler
no flags Details

  None (edit)
Description Kevin Kofler 2008-01-03 23:12:47 EST
Description of problem:
Loading the savegame I'm about to attach (which was the result of just a few 
minutes of playing), setting the first player to human and the second to "AI: 
Easy", immediately causes a "Fatal error: division by zero".

Version-Release number of selected component (if applicable):
8Kingdoms-1.1.0-2.fc8

How reproducible:
Always

Steps to Reproduce:
1. Download 071215_132357_Kevin Kofler.xml into ~/.8Kingdoms/savegame/.
2. Load 071215_132357_Kevin Kofler.xml in the game.
3. Set the second player to "AI: Easy" and confirm.
  
Actual results:
Fatal error: Division by zero

Expected results:
The game loads.

Additional info:
Maybe this upstream report (fixed on 2007-08-26, the 1.1.0 release was on 
2007-07-22) is related?
http://sourceforge.net/tracker/index.php?func=detail&aid=1780063&group_id=95208&atid=610582
Though the savegame there outright crashes 8Kingdoms here, whereas mine gives 
an error dialog box, so it's probably a different bug.
Comment 1 Kevin Kofler 2008-01-03 23:13:43 EST
Created attachment 290816 [details]
The offending savegame
Comment 2 Hans de Goede 2008-01-04 15:01:41 EST
Thanks for reporting this. This indeed was unrelated to the other issue.

A fixed version is on its way to F-8 updates, bodhi will close this bug once it
hits updates. I've also included the fixes for the other issue from CVS in this
version.
Comment 3 Fedora Update System 2008-01-06 20:15:36 EST
8Kingdoms-1.1.0-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2008-01-06 20:25:13 EST
8Kingdoms-1.1.0-4.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.